org.apache.ignite.internal.processors.service

## Class ServiceDeploymentActions

- java.lang.Object
- - org.apache.ignite.internal.processors.service.ServiceDeploymentActions

    public class ServiceDeploymentActions
    extends Object

Actions of change service state to be processed in the service deployment process.

### Constructor Summary

Constructors
Constructor and Description
`ServiceDeploymentActions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `deactivate()`
`void` `deactivate(boolean deactivate)`
`@NotNull Map<IgniteUuid,Collection<byte[]>>` `deploymentErrors()`
`void` `deploymentErrors(@NotNull Map<IgniteUuid,Collection<byte[]>> depErrors)`
`@NotNull Map<IgniteUuid,Map<UUID,Integer>>` `deploymentTopologies()`
`void` `deploymentTopologies(@NotNull Map<IgniteUuid,Map<UUID,Integer>> depTops)`
`@NotNull Map<IgniteUuid,ServiceInfo>` `servicesToDeploy()`
`void` `servicesToDeploy(@NotNull Map<IgniteUuid,ServiceInfo> servicesToDeploy)`
`@NotNull Map<IgniteUuid,ServiceInfo>` `servicesToUndeploy()`
`void` `servicesToUndeploy(@NotNull Map<IgniteUuid,ServiceInfo> servicesToUndeploy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceDeploymentActions

    public ServiceDeploymentActions()

### Method Detail

#### servicesToDeploy

    public void servicesToDeploy(@NotNull
                                 @NotNull Map<IgniteUuid,ServiceInfo> servicesToDeploy)

Parameters:
  `servicesToDeploy` - Services info to deploy.

#### servicesToDeploy

    @NotNull
    public @NotNull Map<IgniteUuid,ServiceInfo> servicesToDeploy()

Returns:
  Services info to deploy.

#### servicesToUndeploy

    public void servicesToUndeploy(@NotNull
                                   @NotNull Map<IgniteUuid,ServiceInfo> servicesToUndeploy)

Parameters:
  `servicesToUndeploy` - Services info to undeploy.

#### servicesToUndeploy

    @NotNull
    public @NotNull Map<IgniteUuid,ServiceInfo> servicesToUndeploy()

Returns:
  Services info to undeploy.

#### deactivate

    public void deactivate(boolean deactivate)

Parameters:
  `deactivate` - Whenever it's necessary to deactivate service processor.

#### deactivate

    public boolean deactivate()

Returns:
  Whenever it's necessary to deactivate service processor.

#### deploymentTopologies

    @NotNull
    public @NotNull Map<IgniteUuid,Map<UUID,Integer>> deploymentTopologies()

Returns:
  Deployment topologies.

#### deploymentTopologies

    public void deploymentTopologies(@NotNull
                                     @NotNull Map<IgniteUuid,Map<UUID,Integer>> depTops)

Parameters:
  `depTops` - Deployment topologies.

#### deploymentErrors

    @NotNull
    public @NotNull Map<IgniteUuid,Collection<byte[]>> deploymentErrors()

Returns:
  Deployment errors.

#### deploymentErrors

    public void deploymentErrors(@NotNull
                                 @NotNull Map<IgniteUuid,Collection<byte[]>> depErrors)

Parameters:
  `depErrors` - Deployment errors.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020